Create a domain DNS record
curl --request POST \
--url https://api.kinsta.com/v2/domains/{domain_id}/dns-records \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "A",
"name": "abc.mydomain.com",
"ttl": 3600,
"resource_records": [
{
"value": "1.1.1.1"
}
]
}
'import requests
url = "https://api.kinsta.com/v2/domains/{domain_id}/dns-records"
payload = {
"type": "A",
"name": "abc.mydomain.com",
"ttl": 3600,
"resource_records": [{ "value": "1.1.1.1" }]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'A',
name: 'abc.mydomain.com',
ttl: 3600,
resource_records: [{value: '1.1.1.1'}]
})
};
fetch('https://api.kinsta.com/v2/domains/{domain_id}/dns-records', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Creating a domain DNS record in progress",
"status": 202,
"operation_id": "domains:create-dns-record-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}{
"message": "Bad request format",
"status": 400,
"data": "<unknown>"
}{
"message": "No or invalid API key provided to the request",
"status": 401,
"data": "<unknown>"
}{
"message": "Error occurred while processing your request",
"status": 500,
"data": "<unknown>"
}Domains
Create a domain DNS record
POST
/
domains
/
{domain_id}
/
dns-records
Create a domain DNS record
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Body
application/json
⌘I